/**************************************************************************//**
 * @file     system_NSUC16x0.h
 * @brief    CMSIS Cortex-M# Device Peripheral Access Layer Header File for
 *           Device NSUC16x0
 * @version  V3.10
 * @date     23. November 2012
 *
 * @note
 *
 ******************************************************************************/


#ifndef SYSTEM_NSUC16X0_H
#define SYSTEM_NSUC16X0_H

#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>

extern uint32_t SystemCoreClock;     /*!< System Clock Frequency (Core Clock)  */


/**
 * Initialize the system
 *
 * @param  none
 * @return none
 *
 * @brief  Setup the microcontroller system.
 *         Initialize the System and update the SystemCoreClock variable.
 */
extern void SystemInit (void);

/**
 * Update SystemCoreClock variable
 *
 * @param  none
 * @return none
 *
 * @brief  Updates the SystemCoreClock with current core Clock
 *         retrieved from cpu registers.
 */
extern void SystemCoreClockUpdate (void);

#ifdef __cplusplus
}
#endif

#endif /* SYSTEM_MVCM3_H */
